--[[
    韩国gameReport上报
]]

local Config = require("Config")
local Json = require("common.Json")
local PfLogic = require("platform.PfLogic")
local Log = require("common.Log")
local Msg = require("core.Msg")

function charge(human, orderInfo)
    --是否需要判断是韩国平台
    if not PfLogic.isKor() then
        return
    end

    local msgRet = Msg.GC_GAMEREPORT_KOR
    msgRet.OrderNO = orderInfo.OrderNO
    msgRet.GoodsCode = orderInfo.GoodsCode
    msgRet.PayPurchaseType = orderInfo.PayPurchaseType
    msgRet.ItemCode = orderInfo.ItemCode
    msgRet.ItemName = orderInfo.ItemName
    msgRet.Amount = orderInfo.Amount
    msgRet.CurrencyCode = orderInfo.CurrencyCode
    msgRet.TotalPrice = orderInfo.TotalPrice
    msgRet.PayToolCode = orderInfo.PayToolCode
    msgRet.ReceiveMemberID = orderInfo.ReceiveMemberID
    msgRet.Balance = orderInfo.Balance
    msgRet.PayResultType = orderInfo.PayResultType
    msgRet.PayResultMessage = orderInfo.PayResultMessage

    Msg.send(msgRet, human.fd)
end